Skip to main content
`Ctrl`+`K`

# DSGetLeadingDimension

Returns the leading dimension of the allocated matrices.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetLeadingDimension(DS ds,PetscInt *ld)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- ld - leading dimension (maximum allowed dimension for the matrices)

## See Also

DS: Direct Solver (or Dense System), `DSAllocate()`, `DSSetDimensions()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages